import type { DurableEventData, UnknownEvent } from "../../data";
declare const DISPATCH: "dispatch";
type DispatchEventType = typeof DISPATCH;
export interface DispatchEvent extends DurableEventData {
    type: DispatchEventType;
    dispatch: DurableEventData | DurableEventData[];
    entrypoint?: string;
    entrypointArguments?: string[];
}
export declare function isDispatchEvent(event?: UnknownEvent): event is DispatchEvent;
export declare function onDispatchEvent(event: UnknownEvent): Promise<void>;
export declare const removeDispatchScheduledFunction: () => void;
export {};
